Module javafx.base
Package javafx.beans.property.adapter

## Class JavaBeanLongPropertyBuilder

- java.lang.Object
- - javafx.beans.property.adapter.JavaBeanLongPropertyBuilder

-     public final class JavaBeanLongPropertyBuilder
      extends Object

  A `JavaBeanLongPropertyBuilder` can be used to create `JavaBeanLongProperties`. To create a `JavaBeanLongProperty` one first has to call `create()` to generate a builder, set the required properties, and then one can call `build()` to generate the property.

  Not all properties of a builder have to specified, there are several combinations possible. As a minimum the `name(java.lang.String)` of the property and the `bean(java.lang.Object)` have to be specified. If the names of the getter and setter follow the conventions, this is sufficient. Otherwise it is possible to specify an alternative name for the getter and setter (`getter(java.lang.String)` and `setter(java.lang.String)`) or the getter and setter `Methods` directly (`getter(java.lang.reflect.Method)` and `setter(java.lang.reflect.Method)`).

  All methods to change properties return a reference to this builder, to enable method chaining.

  If you have to generate adapters for the same property of several instances of the same class, you can reuse a `JavaBeanLongPropertyBuilder`. by switching the Java Bean instance (with `bean(java.lang.Object)` and calling `build()`.

  Since:
    JavaFX 2.1
  See Also:
    `JavaBeanLongProperty`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaBeanLongPropertyBuilder()` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `JavaBeanLongPropertyBuilder` | `bean​(Object bean)` | Set the Java Bean instance the adapter should connect to
    `JavaBeanLongPropertyBuilder` | `beanClass​(Class<?> beanClass)` | Set the Java Bean class in which the getter and setter should be searched.
    `JavaBeanLongProperty` | `build()` | Generate a new `JavaBeanLongProperty` with the current settings.
    `static JavaBeanLongPropertyBuilder` | `create()` | Create a new instance of `JavaBeanLongPropertyBuilder`
    `JavaBeanLongPropertyBuilder` | `getter​(Method getter)` | Set the getter method directly.
    `JavaBeanLongPropertyBuilder` | `getter​(String getter)` | Set an alternative name for the getter.
    `JavaBeanLongPropertyBuilder` | `name​(String name)` | Set the name of the property
    `JavaBeanLongPropertyBuilder` | `setter​(Method setter)` | Set the setter method directly.
    `JavaBeanLongPropertyBuilder` | `setter​(String setter)` | Set an alternative name for the setter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaBeanLongPropertyBuilder

          public JavaBeanLongPropertyBuilder()

  - ### Method Detail

    - #### create

          public static JavaBeanLongPropertyBuilder create()

      Create a new instance of `JavaBeanLongPropertyBuilder`
      Returns:
        the new `JavaBeanLongPropertyBuilder`

    - #### build

          public JavaBeanLongProperty build()
                                     throws NoSuchMethodException

      Generate a new `JavaBeanLongProperty` with the current settings.
      Returns:
        the new `JavaBeanLongProperty`
      Throws:
        `NoSuchMethodException` - if the settings were not sufficient to find the getter and the setter of the Java Bean property
        `IllegalArgumentException` - if the Java Bean property is not of type `long` or `Long`

    - #### name

          public JavaBeanLongPropertyBuilder name​(String name)

      Set the name of the property
      Parameters:
        `name` - the name of the property
      Returns:
        a reference to this builder to enable method chaining

    - #### bean

          public JavaBeanLongPropertyBuilder bean​(Object bean)

      Set the Java Bean instance the adapter should connect to
      Parameters:
        `bean` - the Java Bean instance
      Returns:
        a reference to this builder to enable method chaining

    - #### beanClass

          public JavaBeanLongPropertyBuilder beanClass​(Class<?> beanClass)

      Set the Java Bean class in which the getter and setter should be searched. This can be useful, if the builder should generate adapters for several Java Beans of different types.
      Parameters:
        `beanClass` - the Java Bean class
      Returns:
        a reference to this builder to enable method chaining

    - #### getter

          public JavaBeanLongPropertyBuilder getter​(String getter)

      Set an alternative name for the getter. This can be omitted, if the name of the getter follows Java Bean naming conventions.
      Parameters:
        `getter` - the alternative name of the getter
      Returns:
        a reference to this builder to enable method chaining

    - #### setter

          public JavaBeanLongPropertyBuilder setter​(String setter)

      Set an alternative name for the setter. This can be omitted, if the name of the setter follows Java Bean naming conventions.
      Parameters:
        `setter` - the alternative name of the setter
      Returns:
        a reference to this builder to enable method chaining

    - #### getter

          public JavaBeanLongPropertyBuilder getter​(Method getter)

      Set the getter method directly. This can be omitted, if the name of the getter follows Java Bean naming conventions.
      Parameters:
        `getter` - the getter
      Returns:
        a reference to this builder to enable method chaining

    - #### setter

          public JavaBeanLongPropertyBuilder setter​(Method setter)

      Set the setter method directly. This can be omitted, if the name of the setter follows Java Bean naming conventions.
      Parameters:
        `setter` - the setter
      Returns:
        a reference to this builder to enable method chaining